### Function

# PapersDocument MappingList new

#### Declaration [src]

    PpsMappingList*
    pps_mapping_list_new (
      guint page,
      GList* list,
      GDestroyNotify data_destroy_func
    )

#### Description

No description available.

#### Parameters

`page`

  Type: `guint`

  Page index for this mapping.

`list`

  Type: A list of `PpsMapping*`

  A `GList` of data for the page.

  The data is owned by the caller of the function.

`data_destroy_func`

  Type: `GDestroyNotify`

  Function to free a list element.

#### Return value

Type: `PpsMappingList`

An `PpsMappingList`.

The caller of the function takes ownership of the data, and is responsible for freeing it.